SystemOrganization addCategory: 'ConfigurationOfOrbeonPersistenceAPI'!

ConfigurationOf subclass: #ConfigurationOfOrbeonPersistenceAPI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonPersistenceAPI'!

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 02/26/2016 13:27'!
baseline0100: spec
	<version: '0.100-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'BrunoBB'.
		spec repository: 'http://ss3.gemstone.com/ss/OrbeonBridge'.
		spec project: 'Orbeon' with: [
			spec repository: 'http://ss3.gemstone.com/ss/OrbeonBridge';
				versionString: #stable;
				className: 'ConfigurationOfOrbeon';
				file: 'ConfigurationOfOrbeon';
				loads: #('ALL').
				].
		spec project: 'XMLWriter' with: [
			spec className: 'ConfigurationOfXMLWriter';
				versionString: '2.6.5';
				file: 'ConfigurationOfXMLWriter';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main';
				loads: #('Core').
				].
	"	spec project: 'Seaside3' with: [
			spec repository: 'http://www.smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main';
				versionString: #stable;
				className: 'ConfigurationOfSeaside3';
				file: 'ConfigurationOfSeaside3';
				loads: #('Core').
				]."
		spec 
			package: 'OrbeonPersistenceApi' with: [spec requires: #('Orbeon')].
	].! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:41'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.100-baseline'.! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:41'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.100'.! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:41'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.100'.! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 02/26/2016 13:26'!
version0004: spec
	<version: '0.004' imports: #('0.100-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
	"	spec project: 'Seaside3' with: [
			spec loads: #('Core');
				versionString: #stable.]."
		spec project: 'XMLWriter' with: [
			spec loads: #('Core');
				versionString: '2.6.5'.].
		spec package: 'OrbeonPersistenceApi' with: 'OrbeonPersistenceApi-BrunoBB.4'.

	]! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 03/20/2016 16:36'!
version0100: spec
	<version: '0.100' imports: #('0.100-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
	"	spec project: 'Seaside3' with: [
			spec loads: #('Core');
				versionString: #stable.]."
		spec project: 'XMLWriter' with: [
			spec loads: #('Core');
				versionString: '2.6.5'.].
		spec package: 'OrbeonPersistenceApi' with: 'OrbeonPersistenceApi-BrunoBB.6'.

	]! !

!ConfigurationOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:44'!
versionNumberClass
     ^MetacelloVersionNumber! !

BaselineOf subclass: #BaselineOfOrbeonPersistenceAPI
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonPersistenceAPI'!

!BaselineOfOrbeonPersistenceAPI methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 11:38'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'Seaside3'
         with: [ spec
					 className: 'ConfigurationOfSeaside3';
					 versionString: #stable;
					 loads: #('Core');
					 file: 'ConfigurationOfSeaside3';
					 repository: 'http://www.smalltalkhub.com/mc/Seaside/MetacelloConfigurations/main'].

       spec package: 'Orbeon_Persistence_API-BrunoBB' with: [ spec requires: #('Seaside3' 'Orbeon')] ]! !
